"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.getImageSibling = (albumsDir, album, image, dir) => {
    const imageIndex = album.images.indexOf(image);
    const siblingIndex = imageIndex + dir;
    if (siblingIndex === -1 || siblingIndex === album.images.length) {
        return null;
    }
    const sibling = album.images[siblingIndex];
    return {
        title: sibling.meta.title || '',
        linkProps: util_1.getDetailLinkProps(albumsDir, album.content.name, sibling.filePath),
    };
};
exports.default = (albumsDir, albums, app) => (req, res) => {
    const notFound = { message: 'Not found' };
    const album = albums.find(({ content }) => content.name === req.params.album);
    if (!album) {
        res.status(404).json(notFound);
        return;
    }
    const image = album.images.find(({ fileName }) => fileName.split('.').shift() === req.params.image);
    if (!image) {
        res.status(404).json(notFound);
        return;
    }
    const prev = exports.getImageSibling(albumsDir, album, image, -1);
    const next = exports.getImageSibling(albumsDir, album, image, 1);
    const back = {
        title: album.content.meta.title,
        linkProps: util_1.getAlbumLinkProps(albumsDir, album.content.name),
    };
    res.json({ image, next, prev, back });
};
