"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("util");
const fs_1 = require("fs");
const path = require("path");
const path_1 = require("path");
exports.pReadFile = util_1.promisify(fs_1.readFile);
exports.log = (...args) => {
    const first = [`🦊  ${args.shift()}`];
    // tslint:disable-next-line:no-console
    console.log(...first.concat(args));
};
exports.getDetailLinkProps = (albumsDir, albumName, filePath) => {
    const baseFileName = path_1.basename(filePath, '.jpg');
    const href = {
        pathname: '/image',
        query: {
            album: albumName,
            image: baseFileName,
        },
    };
    // tslint:disable-next-line:no-reserved-keywords
    const as = {
        pathname: `/${albumsDir}/${albumName}/${baseFileName}/`,
    };
    // tslint:disable-next-line:no-reserved-keywords
    return { href, as };
};
exports.getAlbumLinkProps = (albumsDir, albumName) => ({
    href: {
        pathname: '/album',
        query: {
            album: albumName,
        },
    },
    // tslint:disable-next-line:no-reserved-keywords
    as: {
        pathname: `/${albumsDir}/${albumName}/`,
    },
});
exports.getGlobPatterns = (config) => {
    const albums = path.join(config.contentDir, config.albumsDir, '**', 'index.md');
    const pages = path.join(config.contentDir, '**', 'index.md');
    return { albums, pages };
};
